Uploaded image for project: 'Ivy'
  1. Ivy
  2. IVY-1607

Apache IVYDE 2.5.0.cr1 does not resolve correctly.

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 2.5.0-rc1
    • Fix Version/s: 2.5.0
    • Component/s: Core
    • Labels:
      None

      Description

      Sorry, to cross post the issue IVYDE-391 here, however the IVYDE project does not seem to react on this issue in Apache Ivy 2.5.0.cr1_20180412005305 (and even has no reference to version 2.5.0.cr1), and I'm not sure, whether the problem is rooted in in 2.5.0-rc1 .

      On https://www.apache.org/dist/ant/ivyde/updatesite/ the apache Ivy library "Apache Ivy 2.5.0.cr1_20180412005305" is provided, and it seems that this is now installed as default, because it is the newest version. (BTW: it seems that it is published as cr (change request?), not as rc (release candidate?))

      However: It does not resolve certain dependencies correclty. E.g

      {{<ivy-module }}
      {{ version="2.1" }}
      xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
      xsi:noNamespaceSchemaLocation="http://ant.apache.org/ivy/schemas/ivy.xsd"
      >
      <info
      organisation="Ivy Test"
      module="Ivy250rcTest"
      status="integration">
      </info>

      <configurations>
      <conf name="compile" description="Compile classpath " />
      </configurations>

      <dependencies>
      <!-- https://mvnrepository.com/artifact/org.apache.logging.log4j/log4j-core -->
      <dependency org="org.apache.logging.log4j" name="log4j-core" rev="2.12.0" conf="*->runtime"/>
      <!-- https://mvnrepository.com/artifact/org.apache.logging.log4j/log4j-api -->
      <dependency org="org.apache.logging.log4j" name="log4j-api" rev="2.12.0" conf="*->default"/>
      <!-- https://mvnrepository.com/artifact/org.apache.logging.log4j/log4j-1.2-api -->
      <dependency org="org.apache.logging.log4j" name="log4j-1.2-api" rev="2.12.0" conf="*->default"/>

      </dependencies>
      </ivy-module>

      does not resolve log4j-core.jar, although included.

      Find enclosed a simple eclipse project that demonstrates this issue.

      If you can reproduce this problem, please withdraw version IVYDE 2.5.0.cr... . It spoils every installation and it seems very hard to reset to a previous version.

        Attachments

        1. Ivy2.5.0.5rcTests.zip
          5 kB
          Michael Breu

          Activity

            People

            • Assignee:
              Unassigned
              Reporter:
              Wallenstein61 Michael Breu
            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: